#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n;
    string str;
	cin>> str >> n;
    while(n--)
    {
        char l1 = ' ';
        int l, r, cnt = 0;
        cin >> l >> r;
        for(int i = l - 1; i < r; i++)
        {
            if(str[i] < l1)
            {
                cnt++;
            }
            l1 = str[i];
        }
        cout << cnt + 1 << '\n';
    }
    
}
